org.eclipse.cdt.core.browser

## Class QualifiedTypeName

- java.lang.Object
- - org.eclipse.cdt.core.browser.QualifiedTypeName

All Implemented Interfaces:
  Comparable<IQualifiedTypeName>, IQualifiedTypeName

    public class QualifiedTypeName
    extends Object
    implements IQualifiedTypeName

Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static QualifiedTypeName` `EMPTY`

### Fields inherited from interface org.eclipse.cdt.core.browser.IQualifiedTypeName

`QUALIFIER`

### Constructor Summary

Constructors
Constructor and Description
`QualifiedTypeName(IQualifiedTypeName typeName)`
`QualifiedTypeName(String qualifiedName)`
`QualifiedTypeName(String[] names)`
`QualifiedTypeName(String name, String[] enclosingNames)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IQualifiedTypeName` `append(IQualifiedTypeName typeName)`
`IQualifiedTypeName` `append(String qualifiedName)`
`IQualifiedTypeName` `append(String[] names)`
`int` `compareTo(IQualifiedTypeName typeName)`
`int` `compareToIgnoreCase(IQualifiedTypeName typeName)`
`boolean` `equals(IQualifiedTypeName typeName)`
`boolean` `equals(Object obj)`
`boolean` `equalsIgnoreCase(IQualifiedTypeName typeName)`
`String[]` `getEnclosingNames()`
`IQualifiedTypeName` `getEnclosingTypeName()`
`String` `getFullyQualifiedName()`
`String` `getName()`
`int` `hashCode()`
`boolean` `isEmpty()`
`boolean` `isGlobal()`
`boolean` `isLowLevel()`
`boolean` `isPrefixOf(IQualifiedTypeName typeName)`
`boolean` `isQualified()`
`boolean` `isValid()`
`boolean` `isValidSegment(String segment)`
`String` `lastSegment()`
`int` `matchingFirstSegments(IQualifiedTypeName typeName)`
`IQualifiedTypeName` `removeFirstSegments(int count)`
`IQualifiedTypeName` `removeLastSegments(int count)`
`String` `segment(int index)`
`int` `segmentCount()`
`String[]` `segments()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final QualifiedTypeName EMPTY

### Constructor Detail

#### QualifiedTypeName

    public QualifiedTypeName(IQualifiedTypeName typeName)

#### QualifiedTypeName

    public QualifiedTypeName(String qualifiedName)

#### QualifiedTypeName

    public QualifiedTypeName(String[] names)

#### QualifiedTypeName

    public QualifiedTypeName(String name,
                             String[] enclosingNames)

### Method Detail

#### getName

    public String getName()

Specified by:
  `getName` in interface `IQualifiedTypeName`

#### getEnclosingNames

    public String[] getEnclosingNames()

Specified by:
  `getEnclosingNames` in interface `IQualifiedTypeName`

#### getFullyQualifiedName

    public String getFullyQualifiedName()

Specified by:
  `getFullyQualifiedName` in interface `IQualifiedTypeName`

#### getEnclosingTypeName

    public IQualifiedTypeName getEnclosingTypeName()

Specified by:
  `getEnclosingTypeName` in interface `IQualifiedTypeName`

#### isQualified

    public boolean isQualified()

Specified by:
  `isQualified` in interface `IQualifiedTypeName`

#### isEmpty

    public boolean isEmpty()

Specified by:
  `isEmpty` in interface `IQualifiedTypeName`

#### isGlobal

    public boolean isGlobal()

Specified by:
  `isGlobal` in interface `IQualifiedTypeName`

#### segmentCount

    public int segmentCount()

Specified by:
  `segmentCount` in interface `IQualifiedTypeName`

#### segments

    public String[] segments()

Specified by:
  `segments` in interface `IQualifiedTypeName`

#### segment

    public String segment(int index)

Specified by:
  `segment` in interface `IQualifiedTypeName`

#### lastSegment

    public String lastSegment()

Specified by:
  `lastSegment` in interface `IQualifiedTypeName`

#### matchingFirstSegments

    public int matchingFirstSegments(IQualifiedTypeName typeName)

Specified by:
  `matchingFirstSegments` in interface `IQualifiedTypeName`

#### isPrefixOf

    public boolean isPrefixOf(IQualifiedTypeName typeName)

Specified by:
  `isPrefixOf` in interface `IQualifiedTypeName`

#### append

    public IQualifiedTypeName append(String[] names)

Specified by:
  `append` in interface `IQualifiedTypeName`

#### append

    public IQualifiedTypeName append(IQualifiedTypeName typeName)

Specified by:
  `append` in interface `IQualifiedTypeName`

#### append

    public IQualifiedTypeName append(String qualifiedName)

Specified by:
  `append` in interface `IQualifiedTypeName`

#### removeFirstSegments

    public IQualifiedTypeName removeFirstSegments(int count)

Specified by:
  `removeFirstSegments` in interface `IQualifiedTypeName`

#### removeLastSegments

    public IQualifiedTypeName removeLastSegments(int count)

Specified by:
  `removeLastSegments` in interface `IQualifiedTypeName`

#### isLowLevel

    public boolean isLowLevel()

Specified by:
  `isLowLevel` in interface `IQualifiedTypeName`

#### isValid

    public boolean isValid()

Specified by:
  `isValid` in interface `IQualifiedTypeName`

#### isValidSegment

    public boolean isValidSegment(String segment)

Specified by:
  `isValidSegment` in interface `IQualifiedTypeName`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### compareTo

    public int compareTo(IQualifiedTypeName typeName)

Specified by:
  `compareTo` in interface `Comparable<IQualifiedTypeName>`
Specified by:
  `compareTo` in interface `IQualifiedTypeName`

#### compareToIgnoreCase

    public int compareToIgnoreCase(IQualifiedTypeName typeName)

Specified by:
  `compareToIgnoreCase` in interface `IQualifiedTypeName`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals(IQualifiedTypeName typeName)

Specified by:
  `equals` in interface `IQualifiedTypeName`

#### equalsIgnoreCase

    public boolean equalsIgnoreCase(IQualifiedTypeName typeName)

Specified by:
  `equalsIgnoreCase` in interface `IQualifiedTypeName`